Bug 97722 - Installation via dhcp/pxelinux needs an argument or it crashes
Installation via dhcp/pxelinux needs an argument or it crashes
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-19 14:52 EDT by Michal Jaegermann
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-14 12:42:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2003-06-19 14:52:53 EDT
Description of problem:

Attempts to install with an installer using pxelinux and all installation
components on a dhcp server always fail somewhere in anaconda unless
one gives _some_ argument to a kernel.  An argument can be a valid one
or something nonsensical, like 'asdfjkl', but only if present it is possible
to get a succesfull instalation.

If that argument is 'text' then everything is fine but one is installing
in a text mode; other arguments allow to use a graphical installer.
Comment 1 Michael Fulbright 2003-06-20 12:09:20 EDT
Are you referring to having to have at least one option in the 'append' option
in your pxe config file?

Comment 2 Rik Burt 2003-06-20 14:54:26 EDT
yes.

When the machine boots over PXE there is an option to enter kernel parameters.
If nothing is entered the following happens.
It counts down from 5 seconds and then starts downloading the kernel image from
the PXE server. Then it loads initrd from the PXE server.  It then hangs on
uncompressing kernel image.  The box that was PXE booting then needs to be reset.

If you enter anything for kernel parameters the machine will boot with no problem.
Comment 3 Michael Fulbright 2003-06-23 16:17:09 EDT
How do you specify the initrd to be used for each machine?  We have

append initrd=blah/initrd.img

in the pxelinux.cfg file and this works for me.
Comment 4 Michael Fulbright 2003-07-14 12:42:36 EDT
Closing due to inactivity. Please reopen if you have additional information to
add to this report.
Comment 5 Michael Fulbright 2003-07-14 12:42:42 EDT
Closing due to inactivity. Please reopen if you have additional information to
add to this report.

Note You need to log in before you can comment on or make changes to this bug.